For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
On this page
  • Legacy Extra Fields
  • USD Currency Conversion
RESTB2BManagement

Orders

Was this page helpful?
Previous

Delete Receipt Line

Next

List Orders

Built with

The B2B Server to Server Orders API allows you to retrieve order information and update B2B-specific details like Purchase Order (PO) number and extra fields. You can also assign pre-existing orders to a Company account, ensuring that buyers can access their orders placed prior to B2B Company registration.

Note that this resource does not allow you to create new orders, update an order’s basic information, or add attributes like shipments and order-level fees. Use the BigCommerce Orders V2 API to handle these tasks in your integration.

When using B2B Orders endpoints to retrieve or update specific orders, use the BigCommerce Order ID as the unique identifier. The B2B Edition Order ID, presented as the id value of certain B2B Orders responses, is not a supported identifier for the bcOrderId field.

The statusCode field in some endpoint responses is the unique identifier assigned to each BigCommerce order status. To learn more about order statuses and their corresponding codes, see Order Statuses.

Legacy Extra Fields

The response body of certain endpoints, such as Get All Orders and Create an Order, include the following legacy Company extra fields used by older stores:

  • extraInt1
  • extraInt2
  • extraInt3
  • extraInt4
  • extraInt5
  • extraStr1
  • extraStr2
  • extraStr3
  • extraStr4
  • extraStr5
  • extraText

These fields return null values in newer stores. We recommend using the Get Company Extra Fields endpoint to retrieve Company extra field information.

USD Currency Conversion

The usdIncTax field converts the order’s total price from the currency it was placed into USD, even if you do not offer USD as a transactional currency. The following endpoints include the field in their response body:

  • Get All Orders
  • Create an Order
  • Get an Order
  • Update an Order